// More information at: https://www.aeq-web.com
// Build: 2019-DEC-20

#include <SPI.h>
#include <LoRa.h>
#include "LowPower.h"
#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>

String iot_id = "A3"; //ID of Station

Adafruit_BME280 bme;
void setup() {
  //Serial.begin(57600);
  //while (!Serial);
  //Serial.println("LoRa Sender");
  //Serial.println(F("BME280 test"));
  bme.begin();

  if (!LoRa.begin(868E6)) {
    //Serial.println("Starting LoRa failed!");
    while (1);
  }
}

void loop() {

  // send packet
  LoRa.beginPacket();
  LoRa.print(iot_id);
  LoRa.print(";");
  LoRa.print(bme.readTemperature());
  LoRa.print(";");
  LoRa.print(bme.readHumidity());
  LoRa.print(";");
  LoRa.print(bme.readPressure() / 100.0);
  LoRa.print(";");
  LoRa.endPacket();

  LowPower.powerDown(SLEEP_8S, ADC_OFF, BOD_OFF); //Goto sleep
}
